System.ServiceModel 4.0.0.0 System.Exception To be added.

The exception that is thrown when the binding specified is not consistent with the contract requirements for the service.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  Use this constructor when you want to pass an error message to the user. The content of the message parameter should be understandable to the user. The caller of this constructor is required to ensure that this string has been localized for the current system culture.

  If you also want to pass a reference to the inner exception that is the cause of the exception as well as a specified error message to the user, use the constructor.

  Initializes a new instance of the class with a specified error message.

  The error message that explains the reason for the exception.
- Constructor
  4.0.0.0

  This constructor is called during deserialization to reconstruct the exception object transmitted over a stream.

  Initializes a new instance of the class with serialization information and streaming context specified.

  The that contains all the data required to serialize the exception.
  The that specifies the source and destination of the stream.
- Constructor
  4.0.0.0

  Use this constructor when you want to pass an error message and information about an inner exception to the user.

  An exception that is thrown as a direct result of a previous exception can include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor or a null reference (Nothing in Visual Basic) if the property does not supply the inner exception value to the constructor.

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the cause of the exception.

  The error message that explains the reason for the exception.
  The that caused the current exception to be thrown.